<span class="checkmark" />

<style>
  :root {
    --size: 100px;
    --stroke: 5px;
    --top: 55%;
    --color: hsl(172deg 76% 41%);
  }

  .checkmark {
    --width: calc(var(--size) / 2); /* Recalculate width based on --size */
    --height: calc(var(--width) / 2); /* Recalculate height based on --width */
    --left: calc(var(--width) / 2);

    position: absolute;
    top: var(--top);
    left: var(--left);
    display: block;
    width: var(--width);
    height: var(--height);
    border-bottom: var(--stroke) solid var(--color);
    border-left: var(--stroke) solid var(--color);
    animation: animate linear both 1s;
    transform: rotate(-45deg);
    transform-origin: left top;
  }

  @keyframes animate {
    0% {
      width: 0;
      height: 0;
      opacity: 0;
    }

    80% {
      width: 0;
      height: 0;
      opacity: 0;
    }

    90% {
      width: 0;
      height: var(--height);
      opacity: 1;
    }

    100% {
      width: var(--width);
      height: var(--height);
      opacity: 1;
    }
  }
</style>
